%define upstream_name    PAR-Packer
%define upstream_version 1.013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Data package containing a dynamic PARL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.0.0
BuildRequires: perl(Compress::Zlib) >= 1.300.0
BuildRequires: perl(ExtUtils::Embed)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Temp) >= 0.50.0
BuildRequires: perl(Getopt::ArgvFile) >= 1.70.0
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(Module::ScanDeps) >= 1.50.0
BuildRequires: perl(PAR) >= 1.5.0
BuildRequires: perl(PAR::Dist) >= 0.220.0
BuildRequires: perl-devel
%description
_pp_ creates standalone executables from Perl programs, using the
compressed packager provided by the PAR manpage, and dependency detection
heuristics offered by the Module::ScanDeps manpage. Source files are
compressed verbatim without compilation.

You may think of _pp_ as "_perlcc_ that works without hassle". :-)

A GUI interface is also available as the _tkpp_ command.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# resolve /usr/bin/pp conflict with nss
perl -pi -e 's{/pp}{/pp.pl}g' Makefile.PL
perl -pi -e 's{script/pp}{script/pp.pl}g' MANIFEST
mv script/pp script/pp.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
#make test

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 1.13.0-1.mga2
+ Revision: 213150
- update to 1.013

* Fri Dec 09 2011 kharec <kharec> 1.12.0-1.mga2
+ Revision: 179392
- update to 1.012

  + jquelin <jquelin>
    - update to 1.010

* Tue Mar 29 2011 jquelin <jquelin> 1.9.0-1.mga1
+ Revision: 78740
- update to 1.009

* Tue Jan 25 2011 jquelin <jquelin> 1.8.0-2.mga1
+ Revision: 38415
- rename pp to pp.pl to avoid conflict

* Tue Jan 25 2011 jquelin <jquelin> 1.8.0-1.mga1
+ Revision: 38275
- imported package perl-PAR-Packer


* Tue Jan 25 2011 cpan2dist 1.008-1mga
- initial mga release, generated with cpan2dist
